Bug 1920561 - pool id in exported csv from subscription page are wrong
Summary: pool id in exported csv from subscription page are wrong
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.9.0
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: 6.9.0
Assignee: satellite6-bugs
QA Contact: Danny Synk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-26 15:28 UTC by Kenny Tordeurs
Modified: 2021-05-20 18:13 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.18.1.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:25:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31774 0 High Closed pool id in exported csv from subscription page are wrong 2021-02-16 19:56:57 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:25:55 UTC

Description Kenny Tordeurs 2021-01-26 15:28:51 UTC
Description of problem:
pool id in exported csv file from subscriptions page is not correct.

Version-Release number of selected component (if applicable):
Satellite 6.9

How reproducible:
100%

Steps to Reproduce:
1. Have some subscriptions
2. Content -> Subscriptions -> Export csv
3.

Actual results:
Pool Id	Subscription Id	Name	Candlepin Id	Organization Id	Sockets	Cores	Start Date	End Date	Available	Quantity	Account Number	Contract Number	Support Level	RAM	Stacking Id	Multi Entitlement	Type	Product Id	Unmapped Guest	Virt Only	Requires Virt Who	Upstream
1	1	SKU	402892827739328b0177393b783c3533	1	128		2013-04-24 04:00:00 UTC	2022-01-01 04:59:59 UTC	20	20	540155	10169621	Self-Support		ES0113909	true	NORMAL	ES0113909	false	false	true	true
3	2	RHEL7_Custom	402892827739328b01773a39a07f4359	1			2021-01-25 15:46:31 UTC	2049-12-01 00:00:00 UTC	-1	-1							NORMAL	933447663502	false	false	false	false
5	3	capsule 6.9	402892827739328b01773e329c1f43a0	1			2021-01-26 10:17:20 UTC	2049-12-01 00:00:00 UTC	-1	-1							NORMAL	41871837336	false	false	false	false
6	4	Sat6-CI_Red_Hat_Satellite_Tools_6_9_Composes_Satellite_Tools	402892827739328b01773e3680ef43b4	1			2021-01-26 10:21:35 UTC	2049-12-01 00:00:00 UTC	-1	-1							NORMAL	565786099433	false	false	false	false


Expected results:
# subscription-manager list --available | grep -e "Pool ID" -e "Subscription Name"
~~~
Subscription Name:   Sat6-CI_Red_Hat_Satellite_Tools_6_9_Composes_Satellite_Tools
Pool ID:             402892827739328b01773e3680ef43b4
Subscription Name:   Employee SKU
Pool ID:             402892827739328b0177393b783c3533
Subscription Name:   RHEL7_Custom
Pool ID:             402892827739328b01773a39a07f4359
Subscription Name:   Employee SKU
Pool ID:             402892827739328b0177393b78fa3536
~~~

Additional info:

Comment 4 Nagoor Shaik 2021-02-01 10:27:06 UTC
Created redmine issue https://projects.theforeman.org/issues/31774 from this bug

Comment 5 Bryan Kearney 2021-02-05 15:24:05 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31774 has been resolved.

Comment 7 Danny Synk 2021-02-23 21:32:10 UTC
Steps to test:

1. Deploy a Satellite 6.9 snap 14.

2. Import a subscription manifest.

3. Generate a CSV subscription report in the webUI with Content > Subscriptions > Export CSV.


Expected Results:

The `Pool Id` column of the report has been renamed to `Pool Id Number`. The `Candlepin Id` column of the report has been renamed `Pool Id`, and the values in that column match the corresponding `Pool ID` values in the output of `subscription-manager list --available` on a registered content host.

Actual Results:

From the exported CSV:

~~~
Pool Id Number	  Subscription Id	    Name	                                                                Pool Id
12	           4	                    Red Hat Enterprise Linux Server, Premium (Physical or Virtual Nodes)	8a8182ac77ca44fa0177ca614b7b36cc
23	          10	                    Red Hat Virtualization Manager	                                        8a8182ac77ca44fa0177ca6154d936eb
25	          11	                    postgres_puppet_module	                                                8a8182ac77ca44fa0177cb1f9bd1370f
~~~

Listing available subscription from a registered host:

~~~
# subscription-manager list --available | grep -e "Pool ID" -e "Subscription Name"
Subscription Name:   Red Hat Virtualization Manager
Pool ID:             8a8182ac77ca44fa0177ca6154d936eb
Subscription Name:   postgres_puppet_module
Pool ID:             8a8182ac77ca44fa0177cb1f9bd1370f
Subscription Name:   Red Hat Enterprise Linux Server, Premium (Physical or Virtual Nodes)
Pool ID:             8a8182ac77ca44fa0177ca614b7b36cc
~~~

The `Pool Id` column of the report has been renamed to `Pool Id Number`. The `Candlepin Id` column of the report has been renamed `Pool ID`, and the values in that column match the corresponding values in the output of `subscription-manager list --available` on a registered content host.


Verified on Satellite 6.9, snap 14.

Comment 10 errata-xmlrpc 2021-04-21 13:25:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.